Home | Tutorials | Wiki | Issues
Ask Your Question
0

issues installing gazebo

asked 2019-05-14 04:18:01 -0500

S. Yildiz gravatar image

I am working on Ubuntu 16.04 and I want to install gazebo on it. But if I try sudo apt-get install ros-kinetic-gazebo-ros it says:

Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 ros-kinetic-gazebo-ros : Depends: ros-kinetic-gazebo-dev but it is not going to be installed
E: Unable to correct problems, you have held broken packages.

Or if I try sudo apt-get install gazebo8

I get this:

Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have

requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 gazebo8 : Depends: libgazebo8 (= 8.0.0-1~xenial) but it is not going to be installed
           Depends: libsdformat5 but it is not going to be installed
           Depends: gazebo8-common (= 8.0.0-1~xenial) but 8.6.0-1~xenial is to be installed
           Recommends: gazebo8-plugin-base but it is not going to be installed
E: Unable to correct problems, you have held broken packages.

I had gazebo7 before but I removed it, but it still does not work. I tried everything to solve the broken packages problem but nothing worked. And I looked multiple times if I deleted gazebo7 properly and could not find anything of it. So what am I doing wrong? So one more thing: if I try sudo apt-get install ros-kinetic-desktop-full

it says:

Reading package lists... Done
Building dependency tree       
Reading state information... Done

Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 ros-kinetic-desktop-full : Depends: ros-kinetic-simulators but it is not going to be installed
E: Unable to correct problems, you have held broken packages.
edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
0

answered 2019-05-14 14:57:10 -0500

rasecg3 gravatar image

Sorry for not giving a complete answer, but check this link:

https://appuals.com/fix-unable-correc...

This is not a gazebo specific problem, so you can try to google "Unable to correct problems, you have held broken packages." to see more alternatives.

edit flag offensive delete link more
Login/Signup to Answer

Question Tools

1 follower

Stats

Asked: 2019-05-14 04:18:01 -0500

Seen: 386 times

Last updated: May 14